/* simskill.c
 *
 * Request for a server to be shutdown
 */
#include "sim.h"

int fd_debug = 0;		/* needed by fdio.c */
int is_sim_server = 0;		/* isn't actually used */

int main(int argc, char **argv)
{
int fd;
char *pass, *server;
int port = SIM_PORT;

/* parse command line args
 */
if (argc < 3 || argc > 4) {
	logerror("usage : simskill <password> <server> [port]");
	exit(1);
	}
pass = argv[1];
server = argv[2];
if (argc == 4)
	port = atoi(argv[3]);

/* Connect and send request
 */
if ((fd = open_tcp_send(server,port)) == -1) {
	logerror("Couldn't connect to %s port %d",server,port);
	exit(2);
	}
if (!send_version(fd))
	exit(3);
fdprintf(fd,"%d\n",con_shutdown);
if (!send_password(fd,pass))
	exit(3);
close(fd);
logmessage("Shutdown request successfully sent");
}

