/* simsping.c
 *
 * Check if a number of servers are up
 */
#include "sim.h"

int fd_debug = 0;		/* needed by fdio.c */
int is_sim_server = 0;		/* isn't actually used */

int main(int argc, char **argv)
{
int i;

/* parse command line args
 */
if (argc == 1) {
	logerror("usage : simsping <server> [port] <server> [port] ..");
	exit(1);
	}
for(i=1; i<argc; i++) {
	char *server;
	int port = SIM_PORT;
	int fd;

	server = argv[i];
	if (i != argc-1 && atoi(argv[i+1]))
		port = atoi(argv[++i]);
	
	/* Connect and send request
	 */
	if (!gethostbyname(server)) {
		logmessage("Couldn't local host %s",server);
		continue;
		}
	if ((fd = open_tcp_send(server,port)) == -1) {
		logmessage("Server on host %s port %d is down",server,port);
		continue;
		}
	if (!send_version(fd)) {
		logmessage("Error sending version to server on host %s port %d",
			   server,port);
		continue;
		}
	fdprintf(fd,"%d\n",con_noop);
	close(fd);
	logmessage("Server on host %s port %d is alive",server,port);
	}
}

